var ed = {
	partnerId: 1126,
	applicationName: 'ElephantDrive Synology DSM App',
	nasOSName: 'Synology DSM',
	nasVisitEDWebsiteLogin: "http://www.elephantdrive.com/m/ct.aspx?ici=1296",
	nasVisitEDWebsiteSignup: "http://www.elephantdrive.com/m/ct.aspx?ici=1293",
	nasVisitEDWebsiteLoggedin: "http://www.elephantdrive.com/m/ct.aspx?ici=1294",
	fillAjax: function (ajax) {
		ajax.headers = {"X-SYNO-TOKEN": localStorage.getItem('SynoToken')};
		return ajax;
	},
	getNasAuthUrl: function () {
		var url = localStorage.getItem('origin');
		if (url === null) {
			url = window.location.protocol + "//" + window.location.hostname + ":" + 5000;
		}
		return url;
	}
};
$(function () {
	function params(obj) {
		if (typeof obj === 'string') {
			if (obj[0] === '?') {
				obj = obj.substring(1);
			}
			var result = {};
			obj = obj.split("&");
			obj.forEach(function (pair) {
				pair = pair.split("=");
				var key = decodeURIComponent(pair[0]);
				var value = decodeURIComponent(pair[1]);
				// If first entry with this name
				if (typeof result[key] === "undefined") {
					result[key] = value;
					// If second entry with this name
				} else if (typeof result[key] === "string") {
					result[key] = [result[key], value];
					// If third or later entry with this name
				} else {
					result[key].push(value);
				}
			});
			return result;
		} else {
			return Object.keys(obj).map(function (key) {
				return encodeURIComponent(key) + '=' + encodeURIComponent(obj[key]);
			}).join('&');
		}
	};
	//Hide URL parameters into local storage
	var query = params(window.location.search.substring(1));
	var refresh = false;
	for (var k in query) {
		if (k === 'SynoToken' || k === 'origin') {
			localStorage.setItem(k, query[k]);
			refresh = true;
			delete query[k];
		}
	}
	query = $.param(query);
	if (refresh)
		window.location.replace(window.location.origin + window.location.pathname + window.location.hash + ((query === "") ? "" : ("?" + query)));
});